<!--
SPDX-FileCopyrightText: 2025 Ivan Perevala <ivan95perevala@gmail.com>

SPDX-License-Identifier: GPL-3.0-or-later
-->

# Python Logging and Blender Integration Package

[![PyPI](https://img.shields.io/pypi/v/bhqrprt.svg)](https://pypi.org/project/bhqrprt/)
[![Status](https://img.shields.io/pypi/status/bhqrprt.svg)](https://pypi.org/project/bhqrprt/)
[![License: GPL-3.0-or-later](https://img.shields.io/badge/license-GPLv3-yellow.svg)](https://www.gnu.org/licenses/gpl-3.0-standalone.html)
[![Documentation Status](https://readthedocs.org/projects/lib-bhqrprt/badge/?version=latest)](https://lib-bhqrprt.readthedocs.io/latest)
[![Spell Check](https://github.com/ivan-perevala/lib_bhqrprt/actions/workflows/spellcheck.yml/badge.svg)](https://github.com/ivan-perevala/lib_bhqrprt/actions/workflows/spellcheck.yml)
[![Blender Addon Testing](https://github.com/ivan-perevala/lib_bhqrprt/actions/workflows/blender-test.yml/badge.svg)](https://github.com/ivan-perevala/lib_bhqrprt/actions/workflows/blender-test.yml)
<!-- ![Tests](https://github.com/ivan-perevala/lib_bhqrprt/actions/workflows/python-tests.yml/badge.svg) -->

<p align="center">
    <img src="https://raw.githubusercontent.com/ivan-perevala/lib_bhqrprt/main/.github/images/logo-dark.svg" alt="Logo" style="width:50%; height:auto;">
</p>

Python package designed to streamline the process of logging for Blender extension development. It provides advanced logging features such as automatic log file management, colored console outputs, and a specialized API for seamless integration with Blender.

Links:

* Documentation: [lib-bhqrprt.readthedocs.io/latest](https://lib-bhqrprt.readthedocs.io/latest/)

* Project is [available on PyPI](https://pypi.org/project/bhqrprt/):

    ```powershell
    pip install bhqrprt
    ```

© 2025 Ivan Perevala (ivan95perevala@gmail.com)
